[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: vboxdrv não instala junto com o Virtualbox



Até no Squeeze?


On 06/30/2010 10:13 AM, hamacker wrote:
Olha, eu nem entendí muito bem o que você disse porque se há um kernel há headers ! Sempre há.
Se não há, então você está usando um kernel clandestino.
Certamente, temos um outro problema.

[]'s

Em 30 de junho de 2010 09:48, Daniel Vieira Dias <dandias@netsite.com.br <mailto:dandias@netsite.com.br>> escreveu:

    Em 28-06-2010 22:22, Adriano escreveu:

    Primeiro instale os pacotes necessários para a operação:
    sudo apt-get install virtualbox-ose-source build-essential

    Em seguida, compile o módulo com
    sudo m-a a-i virtualbox-ose-source

    Não deu certo, o module-assistant diz que eu tenho má sorte com os
    headers do kernel ou não os tenho. Bom, acontece que meu kernel
    instalado é o 2.6.32-3 que não tem pacote de headers, tendo
    somente para o kernel 2.6.32-5. Os headers do 2.6.32-5 não
    funcionam no kernel atual e o kernel 2.6.32-5 não instala.

    Quem vem primeiro o Ovo ou a Galinha? hehehe

    Compilar kernel é a ultima coisa que pretendo fazer.

    Uma vez compilado, levante o módulo:
    sudo modprobe vboxdrv


    []´s



    --- Em *seg, 28/6/10, Leonardo Carneiro - Veltrac
    /<lscarneiro@veltrac.com.br> <mailto:lscarneiro@veltrac.com.br>/*
    escreveu:


        De: Leonardo Carneiro - Veltrac <lscarneiro@veltrac.com.br>
        <mailto:lscarneiro@veltrac.com.br>
        Assunto: Re: vboxdrv não instala junto com o Virtualbox
        Para: debian-user-portuguese@lists.debian.org
        <mailto:debian-user-portuguese@lists.debian.org>
        Data: Segunda-feira, 28 de Junho de 2010, 13:44

        Oi Daniel, não tenho ctz absoluta do que vou falar, então me
        perdoem se estiver falando besteira, mas acho que esses
        pacotes não estão prontos. No Lenny roda tudo tranquilo.

        Nesses caso, ou vc instala um kernel mais antigo (que tenha
        todos os pacotes completos, acho que o 31 está certo), ou
        compila tudo na mão =S.


        On 06/28/2010 01:29 PM, Daniel Vieira Dias wrote:
        > Em 28-06-2010 12:08, Fábio Rabelo escreveu:
        >> O módulo é compilado no momento da instalação .
        >>
        >> Se o Sr. simplesmente digitou  "apt-get install
        vistualbox-ose"  é bastante provável que algumas dependências
        não tenham sido instaladas, verifique se os cabeçalhos (
        headers ) do seu kernel estão instalados, se não instale-os .
        >>
        >> Por exemplo, se o seu kernel for
        linux-image-2.6.32-2-amd64  instale o
        linux-headers-2.6.32-amd64 .
        >>
        >> E depois disso remova e instale novamente o virtualbox
        >>
        >> apt-get --purge remove virtualbox-ose-dkms
        >>
        >> apt-get install virtualbox-ose-dkms
        >>
        >> E acompanhe as msg no instante de instalação .
        >>
        >> Provavelmente na primeira vez q o Sr. instalou foi emitida
        uma msg de erro no instalnte em que o módulo seria compilado,
        mas o Sr. nem notou esta msg ....
        > Estes processos eu já fiz e refiz varias vezes usando
        --purge e --purge autoremove.
        > Quando o apt instala o virtualbox-ose ele adiciona todas as
        dependencias incluindo linux-headers, virtualbox-ose-dkms e
        dkms, o problema é que os headers da imagem 2.6.32-3 não
        existe, somente para 2.6.32-5. Veja:
        >
        > # uname -an
        > Linux 2.6.32-3-686 #1 SMP Thu Feb 25 06:14:20 UTC 2010 i686
        GNU/Linux
        >
        > # apt-cache search linux-headers-2.6.32-*
        > linux-headers-2.6.32-5-486 - Header files for Linux
        2.6.32-5-486
        > linux-headers-2.6.32-5-686-bigmem - Header files for Linux
        2.6.32-5-686-bigmem
        > linux-headers-2.6.32-5-686 - Header files for Linux
        2.6.32-5-686
        > linux-headers-2.6.32-5-all-i386 - All header files for
        Linux 2.6.32
        > linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
        > linux-headers-2.6.32-5-amd64 - Header files for Linux
        2.6.32-5-amd64
        > linux-headers-2.6.32-5-common-openvz - Common header files
        for Linux 2.6.32-5-openvz
        > linux-headers-2.6.32-5-common-vserver - Common header files
        for Linux 2.6.32-5-vserver
        > linux-headers-2.6.32-5-common-xen - Common header files for
        Linux 2.6.32-5-xen
        > linux-headers-2.6.32-5-common - Common header files for
        Linux 2.6.32-5
        > linux-headers-2.6.32-5-openvz-686 - Header files for Linux
        2.6.32-5-openvz-686
        > linux-headers-2.6.32-5-vserver-686-bigmem - Header files
        for Linux 2.6.32-5-vserver-686-bigmem
        > linux-headers-2.6.32-5-vserver-686 - Header files for Linux
        2.6.32-5-vserver-686
        > linux-headers-2.6.32-5-xen-686 - Header files for Linux
        2.6.32-5-xen-686
        >
        > Nas instalações não sugem nenhuma mensagem de erro, somente
        a que postei no primeiro e-mail dizendo que o serviço
        virtualbox falhou pela falta do módulo.
        >
        > Removi tudo com purge e autoremove incluindo os headers e
        tentei atualizar o image do kernel para 2.6.32-5 porém este
        não instala, veja como finaliza:
        >
        > Configurando linux-image-2.6.32-5-686 (2.6.32-15) ...
        > Running depmod.
        > Running update-initramfs.
        > update-initramfs: Generating /boot/initrd.img-2.6.32-5-686
        > W: Possible missing firmware
        /lib/firmware/tigon/tg3_tso5.bin for module tg3
        > W: Possible missing firmware
        /lib/firmware/tigon/tg3_tso.bin for module tg3
        > W: Possible missing firmware /lib/firmware/tigon/tg3.bin
        for module tg3
        > initrd.img(/boot/initrd.img-2.6.32-5-686
        > ) points to /boot/initrd.img-2.6.32-5-686
        >  (/boot/initrd.img-2.6.32-5-686) -- doing nothing at
        /var/lib/dpkg/info/linux-image-2.6.32-5-686.postinst line 400.
        > vmlinuz(/boot/vmlinuz-2.6.32-5-686
        > ) points to /boot/vmlinuz-2.6.32-5-686
        >  (/boot/vmlinuz-2.6.32-5-686) -- doing nothing at
        /var/lib/dpkg/info/linux-image-2.6.32-5-686.postinst line 400.
        > Running update-grub.
        > /usr/sbin/grub-probe: error: cannot find a device for / (is
        /dev mounted?).
        > User postinst hook script [update-grub] exited with value 1
        > dpkg: erro processando linux-image-2.6.32-5-686 (--configure):
        >  sub-processo installed post-installation script retornou
        estado de saída de erro 1
        > Erros foram encontrados durante o processamento de:
        >  linux-image-2.6.32-5-686
        > E: Sub-process /usr/bin/dpkg returned an error code (1)
        >
        > Vasculhei os logs: kern, dmesg, messages, apt, dpkg,
        syslogdebug e outros mas nada achei que pudesse ajudar.
        >
        >>
        >>
        >> Fábio Rabelo
        >>
        >>
        >> 2010/6/28 Daniel Vieira Dias <dandias@netsite.com.br
        <http://mc/compose?to=dandias@netsite.com.br>
        <mailto:dandias@netsite.com.br
        <http://mc/compose?to=dandias@netsite.com.br>>>
        >>
        >>      Pessoal, estou tentando usar o virtualbox no meu
        squeeze e até
        >>     agora não foi possível pois não consigo saber onde
        arrumar o
        >>     módulo vboxdrv para instalar.
        >>
        >>     primeiro eu instalei o virtualbox-ose e quando fui
        rodar uma
        >>     máquina vei a mensagem da falta do módulo solicitando que
        >>     instalasse o pacote virtualbox-ose-dkms e rodasse o
        comendo
        >>     modprobe vboxdrv.
        >>     O drama é que o pacote já está instalado e nada do
        dito módulo
        >>     exitir.
        >>
        >>     # modprobe vboxdrv
        >>     FATAL: Module vboxdrv not found.
        >>
        >>     # modprobe -l |grep vbo
        >>     !!!!!! nada !!!!!
        >>
        >>     # /etc/init.d/virtualbox-ose restart
        >>     Stopping VirtualBox kernel modules.
        >>     Starting VirtualBox kernel modulesNo suitable module
        for running
        >>     kernel found ... failed!
        >>      failed!
        >>
        >>     em /var/log/syslog
        >>     Jun 28 10:12:25 rpocrrpo-80035 udevd[9288]: specified
        group
        >>     'vboxusers' unknown
        >>     Jun 28 10:12:25 rpocrrpo-80035 udevd[9288]: specified
        group
        >>     'vboxusers' unknown
        >>     mas mesmo criando este grupo nada resolve
        >>
        >>     # cat /var/log/vbox-install.log
        >>
        >>     VirtualBox 3.2.6 r63112 installer, built
        2010-06-25T14:18:40Z.
        >>
        >>     Testing system setup...
        >>     Could not find the Linux kernel header files - the
        directories
        >>      /lib/modules/2.6.32-3-686/build/include and
        /usr/src/linux/include
        >>      do not exist.
        >>     Giving up due to the problems mentioned above.
        >>
        >>     # dpkg -l |grep linux
>> ii doc-linux-text 2008.08-1 Linux HOWTOs and FAQs in ASCII format >> ii firmware-linux-free 2.6.32-15 Binary firmware for various drivers in
        the Linux kernel
>> ii libselinux1 2.0.94-1 SELinux runtime shared libraries >> ii libv4l-0 0.8.0-1 Collection of video4linux support
        libraries
>> ii linux-base 2.6.32-15 Linux image base package >> ii linux-headers-2.6-686 2.6.32+27 Header files for Linux 2.6-686
        (meta-package)
>> ii linux-headers-2.6.32-5-686 2.6.32-15 Header files for Linux 2.6.32-5-686 >> ii linux-headers-2.6.32-5-common 2.6.32-15 Common header files for Linux 2.6.32-5 >> ii linux-image-2.6.32-3-686 2.6.32-9 Linux 2.6.32 for modern PCs >> ii linux-kbuild-2.6.32 2.6.32-1 Kbuild infrastructure for Linux 2.6.32 >> ii linux-libc-dev 2.6.32-15 Linux support headers for userspace
        development
>> ii linux-sound-base 1.0.23+dfsg-1 base package for ALSA
        and OSS sound systems
>> ii linux-support-2.6.32-5 2.6.32-15 Support files for Linux 2.6.32 >> ii playonlinux 3.7.6-1 front-end for Wine >> ii util-linux 2.17.2-3.1 Miscellaneous system utilities >> ii util-linux-locales 2.17.2-3.1 Locales files for util-linux
        >>
        >>     onde estou errando? ou os pacote estão bugados?
        >>
        >>     Daniel
        >>
        >>
        >>     --     To UNSUBSCRIBE, email to
        >> debian-user-portuguese-REQUEST@lists.debian.org
        <http://mc/compose?to=debian-user-portuguese-REQUEST@lists.debian.org>
        >> <mailto:debian-user-portuguese-REQUEST@lists.debian.org
        <http://mc/compose?to=debian-user-portuguese-REQUEST@lists.debian.org>>
        >>     with a subject of "unsubscribe". Trouble? Contact
        >> listmaster@lists.debian.org
        <http://mc/compose?to=listmaster@lists.debian.org>
        <mailto:listmaster@lists.debian.org
        <http://mc/compose?to=listmaster@lists.debian.org>>
        >>     Archive:
        4C28B791.8060509@netsite.com.br">http://lists.debian.org/4C28B791.8060509@netsite.com.br
        >>
        >>


        -- To UNSUBSCRIBE, email to
        debian-user-portuguese-REQUEST@lists.debian.org
        <http://mc/compose?to=debian-user-portuguese-REQUEST@lists.debian.org>
        with a subject of "unsubscribe". Trouble? Contact
        listmaster@lists.debian.org
        <http://mc/compose?to=listmaster@lists.debian.org>
        Archive: 4C28D185.8040702@veltrac.com.br">http://lists.debian.org/4C28D185.8040702@veltrac.com.br





Reply to: